# TickerReservation

Represents a reserved token symbol in the Polymesh chain. Ticker reservations expire after a set length of time, after which they can be reserved by another Identity. A Ticker must be previously reserved by an Identity for that Identity to be able create a Security Token with it

## Hierarchy

* [Entity](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)‹UniqueIdentifiers, string›

  ↳ **TickerReservation**

## Index

### Properties

* [context](#protected-context)
* [ticker](#ticker)
* [uuid](#uuid)

### Methods

* [createToken](#createtoken)
* [details](#details)
* [exists](#exists)
* [extend](#extend)
* [isEqual](#isequal)
* [toJson](#tojson)
* [transferOwnership](#transferownership)
* [generateUuid](#static-generateuuid)
* [unserialize](#static-unserialize)

## Properties

### `Protected` context

• **context**: [*Context*](/polymesh-sdk-api-reference/v12.0.2/classes/context.md)

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*context*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#protected-context)

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L48)

***

### ticker

• **ticker**: *string*

*Defined in* [*src/api/entities/TickerReservation/index.ts:50*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/TickerReservation/index.ts#L50)

reserved ticker

***

### uuid

• **uuid**: *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*uuid*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#uuid)

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L46)

## Methods

### createToken

▸ **createToken**(`args`: [CreateSecurityTokenParams](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/createsecuritytokenparams.md), `opts?`: [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v12.0.2/classes/transactionqueue.md)*‹*[*SecurityToken*](/polymesh-sdk-api-reference/v12.0.2/classes/securitytoken.md)*››*

*Defined in* [*src/api/entities/TickerReservation/index.ts:187*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/TickerReservation/index.ts#L187)

Create a Security Token using the reserved ticker

**`note`** required role:

* Ticker Owner

**`note`** this method is of type [ProcedureMethod](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/proceduremethod.md), which means you can call `createToken.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                                                    |
| ------- | --------------------------------------------------------------------------------------------------------------------------------------- |
| `args`  | [CreateSecurityTokenParams](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/createsecuritytokenparams.md) |
| `opts?` | [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/procedureopts.md)                         |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v12.0.2/classes/transactionqueue.md)*‹*[*SecurityToken*](/polymesh-sdk-api-reference/v12.0.2/classes/securitytoken.md)*››*

***

### details

▸ **details**(): *Promise‹*[*TickerReservationDetails*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/tickerreservationdetails.md)*›*

*Defined in* [*src/api/entities/TickerReservation/index.ts:83*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/TickerReservation/index.ts#L83)

Retrieve the Reservation's owner, expiry date and status

**`note`** can be subscribed to

**Returns:** *Promise‹*[*TickerReservationDetails*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/tickerreservationdetails.md)*›*

▸ **details**(`callback`: [SubCallback](/polymesh-sdk-api-reference/v12.0.2/globals.md#subcallback)‹[TickerReservationDetails](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/tickerreservationdetails.md)›): *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/v12.0.2/globals.md#unsubcallback)*›*

*Defined in* [*src/api/entities/TickerReservation/index.ts:84*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/TickerReservation/index.ts#L84)

**Parameters:**

| Name       | Type                                                                                                                                                                                                             |
| ---------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `callback` | [SubCallback](/polymesh-sdk-api-reference/v12.0.2/globals.md#subcallback)‹[TickerReservationDetails](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/tickerreservationdetails.md)› |

**Returns:** *Promise‹*[*UnsubCallback*](/polymesh-sdk-api-reference/v12.0.2/globals.md#unsubcallback)*›*

***

### exists

▸ **exists**(): *Promise‹boolean›*

*Overrides* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*exists*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#abstract-exists)

*Defined in* [*src/api/entities/TickerReservation/index.ts:212*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/TickerReservation/index.ts#L212)

Determine whether this Ticker Reservation exists on chain

**Returns:** *Promise‹boolean›*

***

### extend

▸ **extend**(`args`: void, `opts?`: [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v12.0.2/classes/transactionqueue.md)*‹*[*TickerReservation*](/polymesh-sdk-api-reference/v12.0.2/classes/tickerreservation.md)*››*

*Defined in* [*src/api/entities/TickerReservation/index.ts:174*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/TickerReservation/index.ts#L174)

Extend the Reservation time period of the ticker for 60 days from now to later use it in the creation of a Security Token.

**`note`** required role:

* Ticker Owner

**`note`** this method is of type [ProcedureMethod](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/proceduremethod.md), which means you can call `extend.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                            |
| ------- | --------------------------------------------------------------------------------------------------------------- |
| `args`  | void                                                                                                            |
| `opts?` | [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/procedureopts.md) |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v12.0.2/classes/transactionqueue.md)*‹*[*TickerReservation*](/polymesh-sdk-api-reference/v12.0.2/classes/tickerreservation.md)*››*

***

### isEqual

▸ **isEqual**(`entity`: [Entity](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)‹unknown, unknown›): *boolean*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*isEqual*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#isequal)

*Defined in* [*src/api/entities/Entity.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L61)

Determine whether this Entity is the same as another one

**Parameters:**

| Name     | Type                                                                              |
| -------- | --------------------------------------------------------------------------------- |
| `entity` | [Entity](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)‹unknown, unknown› |

**Returns:** *boolean*

***

### toJson

▸ **toJson**(): *string*

*Overrides* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*toJson*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#abstract-tojson)

*Defined in* [*src/api/entities/TickerReservation/index.ts:225*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/TickerReservation/index.ts#L225)

Return the Reservation's ticker

**Returns:** *string*

***

### transferOwnership

▸ **transferOwnership**(`args`: [TransferTickerOwnershipParams](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/transfertickerownershipparams.md), `opts?`: [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/procedureopts.md)): *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v12.0.2/classes/transactionqueue.md)*‹*[*TickerReservation*](/polymesh-sdk-api-reference/v12.0.2/classes/tickerreservation.md)*››*

*Defined in* [*src/api/entities/TickerReservation/index.ts:205*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/TickerReservation/index.ts#L205)

Transfer ownership of the Ticker Reservation to another Identity. This generates an authorization request that must be accepted by the destinatary

**`note`** this will create [Authorization Requests](/polymesh-sdk-api-reference/v12.0.2/classes/authorizationrequest.md) which have to be accepted by the corresponding [Accounts](/polymesh-sdk-api-reference/v12.0.2/classes/account.md) and/or [Identities](/polymesh-sdk-api-reference/v12.0.2/classes/identity.md). An Account or Identity can fetch its pending Authorization Requests by calling `authorizations.getReceived`

**`note`** required role:

* Ticker Owner

**`note`** this method is of type [ProcedureMethod](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/proceduremethod.md), which means you can call `transferOwnership.checkAuthorization` on it to see whether the Current Account has the required permissions to run it

**Parameters:**

| Name    | Type                                                                                                                                            |
| ------- | ----------------------------------------------------------------------------------------------------------------------------------------------- |
| `args`  | [TransferTickerOwnershipParams](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/transfertickerownershipparams.md) |
| `opts?` | [ProcedureOpts](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/interfaces/procedureopts.md)                                 |

**Returns:** *Promise‹*[*TransactionQueue*](/polymesh-sdk-api-reference/v12.0.2/classes/transactionqueue.md)*‹*[*TickerReservation*](/polymesh-sdk-api-reference/v12.0.2/classes/tickerreservation.md)*››*

***

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*generateUuid*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#static-generateuuid)

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

***

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Inherited from* [*Entity*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md)*.*[*unserialize*](/polymesh-sdk-api-reference/v12.0.2/classes/entity.md#static-unserialize)

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/tickerreservation.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
